From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 20 May 2020 14:57:22 +0200
Subject: Remove git usage in Help.py

Last-Update: 2025-01-29
Description: we don't run the tool in a git directory, the command
fails every time. So we just display the Version, not the commit.
---
 poshc2/__init__.py | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/poshc2/__init__.py b/poshc2/__init__.py
index cb62f70..1bdbe2d 100644
--- a/poshc2/__init__.py
+++ b/poshc2/__init__.py
@@ -3,11 +3,11 @@
 import subprocess
 import sys
 
-try:
-    VERSION = subprocess.check_output(
-        ["git", "describe", "--match", "v[0-9]*", "--abbrev=0", "--tags", "HEAD"]).decode().strip()
-except subprocess.CalledProcessError:
-    VERSION = "Zip"
+#try:
+#    VERSION = subprocess.check_output(
+#        ["git", "describe", "--match", "v[0-9]*", "--abbrev=0", "--tags", "HEAD"]).decode().strip()
+#except subprocess.CalledProcessError:
+VERSION = "Zip"
 
 
 class Colours:
